Skip to docs content
Browse and search
On this page

Add a FOMO user, coin, or pump.fun account

PUT/api/callouts

Authorization

  • AuthorizationstringheaderrequiredBearer authentication with your TweetStream API key: Bearer <key>.

Body

  • platformenum<string>required
  • inputstringrequired
  • labelstringoptional

Response fields

  • callerobjectoptional
    • callerIdstringrequired
    • createdAtstringrequired
    • labelstringrequired
    • platformenum<string>required
    • usernamestringrequired
    • metadataobjectoptional
      • displayNamestringoptional
      • avatarUrlstringoptional
      • tokenAddressstringoptional
      • symbolstringoptional
      • namestringoptional
      • imageUrlstringoptional
      • networkIdintegeroptional
  • callersobject[] | nullrequired
    • callerIdstringrequired
    • createdAtstringrequired
    • labelstringrequired
    • platformenum<string>required
    • usernamestringrequired
    • metadataobjectoptional
      • displayNamestringoptional
      • avatarUrlstringoptional
      • tokenAddressstringoptional
      • symbolstringoptional
      • namestringoptional
      • imageUrlstringoptional
      • networkIdintegeroptional
  • pendingobject[] | nullrequired
    • createdAtstringrequired
    • intentIdstringrequired
    • inputstringrequired
    • labelstringrequired
    • platformenum<string>required
  • limitenum<integer>requiredCurrent pump.fun capacity, the same as limits.pump_fun. Read limits for each platform's capacity.
  • limitsobjectrequiredCurrent platform capacity. All values are 0 when the account has no active eligible plan.
    • pump_funenum<integer>required
    • fomo_userintegerrequired
    • fomo_coinenum<integer>required
  • removedbooleanoptional

Responses

  • 200Success
  • 400Invalid request
  • 401Missing or invalid API key
  • 403The authenticated account cannot use this capability
  • 404The requested resource was not found
  • 409Platform subscription limit reached
  • 500The request could not be completed
  • 503Temporarily unavailable